org.apache.tapestry5.ioc.internal.services

## Class AnnotationProviderChain

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.services.AnnotationProviderChain

- All Implemented Interfaces:
    AnnotationProvider

      public class AnnotationProviderChain
      extends Object
      implements AnnotationProvider

  Chain of command for `AnnotationProvider`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationProviderChain(AnnotationProvider[] providers)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnnotationProvider` | `create(List<AnnotationProvider> providers)` Creates an AnnotationProvider from the list of providers.
    `<T extends Annotation> T` | `getAnnotation(Class<T> annotationClass)` Searches for the specified annotation, returning the matching annotation instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationProviderChain

          public AnnotationProviderChain(AnnotationProvider[] providers)

  - ### Method Detail

    - #### create

          public static AnnotationProvider create(List<AnnotationProvider> providers)

      Creates an AnnotationProvider from the list of providers. Returns either an `AnnotationProviderChain` or the sole element in the list.

    - #### getAnnotation

          public <T extends Annotation> T getAnnotation(Class<T> annotationClass)

      Description copied from interface: `AnnotationProvider`
      Searches for the specified annotation, returning the matching annotation instance.
      Specified by:
        `getAnnotation` in interface `AnnotationProvider`
      Parameters:
        `annotationClass` - used to select the annotation to return
      Returns:
        the annotation, or null if not found

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.